Bug 42378 - UI: Clicking on data pilot table's top-left cell should show data field settings
Summary: UI: Clicking on data pilot table's top-left cell should show data field settings
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval, topicUI
Depends on:
Blocks: Pivot-Table
  Show dependency treegraph
 
Reported: 2011-10-29 10:59 UTC by Milan Bouchet-Valat
Modified: 2017-10-23 14:04 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Milan Bouchet-Valat 2011-10-29 10:59:15 UTC
To tweak a data pilot table's Data field settings, one needs to right click on it, choose "Activate...", and then double-click on the variable in the Data field area. This is quite painful, especially if you want to successively show different types of % (row, column, total).

OTC, in Excel, and for many versions, double-clicking on the top-left cell is enough to show this dialog. This makes much sense:
- double-clicking on most cells in the table already performs an action (show the data)
- the top-left cell has a label describing what is measured in the table: it feels natural to allow changing this measure by double-clicking on it


This small detail could really make data pilot nicer to use.
Comment 1 Joel Madero 2014-02-27 23:32:05 UTC
In order to limit the confusion between ProposedEasyHack and EasyHack and to make queries much easier we are changing ProposedEasyHack to NeedsDevEval.

Thank you and apologies for the noise
Comment 2 Robinson Tryon (qubit) 2015-12-13 11:24:14 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2017-10-23 14:04:19 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug